Bug 846581 - [TestPlan][Tree View]Add/Remove child node from current plan, submitting several times causes reloading box pops up several times.
[TestPlan][Tree View]Add/Remove child node from current plan, submitting seve...
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
Unspecified Linux
low Severity low
: ---
: 4.0
Assigned To: June Zhang
Depends On:
  Show dependency treegraph
Reported: 2012-08-08 03:40 EDT by xubai
Modified: 2012-08-14 23:11 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-13 23:10:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description xubai 2012-08-08 03:40:40 EDT
Filed from caserun (INSERT URL HERE)

Version-Release number of selected component (if applicable):

Description of the problem:
When add or remove a child node from the current plan, it takes long time to work after clicking submit button. Users may think it crashes and click submit several times. Then the system will pop up "The tree is reload" the times as submited.

Steps to Reproduce: 
have entered into a plan.
1.Click the "Tree View" label.
2.Click "Add/Remove child node from current plan XX" label.
3.Input a plan id which is parent's ID.
4.Click "Ok" button.
5.Click "Submit" several times

Actual results: 
After the child node is added/removed, the message box of "The tree is reloaded" pops up the same times.

Expected results:
1. The system could show "loading" right after users clicking submit. And if users click submit several times. The message box won't pop up many times. Just one time is ok.
Comment 1 jianchen 2012-08-13 23:10:27 EDT
It's seems not a bug here, closed.
If any reproduce, freely open.
Comment 2 xubai 2012-08-14 23:11:31 EDT
(In reply to comment #1)
> It's seems not a bug here, closed.
> If any reproduce, freely open.

Hi jianchen,

when i click submit several times, it will pop up 'reload' box the same times, i don't think it is normal. What's your opinion?

Note You need to log in before you can comment on or make changes to this bug.